## greenbone-security-assistant 20.8.0

=== CMakeLists.txt ===
# Copyright (C) 2009-2020 Greenbone Networks GmbH
#
# SPDX-License-Identifier: AGPL-3.0-or-later
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.

cmake_minimum_required (VERSION 3.0)

message ("-- Configuring Greenbone Security Assistant")

# VERSION: Set patch version for stable releases, e.g. "9.0.1",
#          unset patch version for prereleases, e.g. "9.0"
project (greenbone-security-assistant
         VERSION 20.8.0)

SET(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)

if (NOT CMAKE_BUILD_TYPE)
  set (CMAKE_BUILD_TYPE Debug)
endif (NOT CMAKE_BUILD_TYPE)

# set if this is in prerelease status, starting at 0 before first beta release,
# unset if this is a stable release series.
# set (PROJECT_BETA_RELEASE 0)

## Retrieve git revision (at configure time)
include (ProjectVersion)

## Variables

if (NOT SYSCONFDIR)
  set (SYSCONFDIR "${CMAKE_INSTALL_PREFIX}/etc")
endif (NOT SYSCONFDIR)

if (NOT EXEC_PREFIX)
  set (EXEC_PREFIX "${CMAKE_INSTALL_PREFIX}")
endif (NOT EXEC_PREFIX)

if (NOT BINDIR)
  set (BINDIR "${EXEC_PREFIX}/bin")
endif (NOT BINDIR)

if (NOT SBINDIR)
  set (SBINDIR "${EXEC_PREFIX}/sbin")
endif (NOT SBINDIR)

if (NOT LIBDIR)
  set (LIBDIR "${EXEC_PREFIX}/lib")
endif (NOT LIBDIR)

if (NOT LOCALSTATEDIR)
  set (LOCALSTATEDIR "${CMAKE_INSTALL_PREFIX}/var")
endif (NOT LOCALSTATEDIR)

if (NOT INCLUDEDIR)
  set (INCLUDEDIR "${CMAKE_INSTALL_PREFIX}/include")
endif (NOT INCLUDEDIR)

if (NOT DATADIR)
  set (DATADIR "${CMAKE_INSTALL_PREFIX}/share")
endif (NOT DATADIR)

message ("-- Install prefix: ${CMAKE_INSTALL_PREFIX}")


add_subdirectory (gsa)
add_subdirectory (gsad)

# vim: set ts=2 sw=2 tw=80:

=== gsa/CMakeLists.txt ===
# Copyright (C) 2016-2020 Greenbone Networks GmbH
#
# SPDX-License-Identifier: AGPL-3.0-or-later
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.

cmake_minimum_required (VERSION 3.0)

message ("-- Configuring gsa")

project (gsa VERSION 20.8.0 LANGUAGES)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

find_package (Node 10.0 REQUIRED)
find_package (Yarn 1.0)

if (NOT DEFINED PROJECT_VERSION_STRING)
   set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/../cmake)
   include (ProjectVersion)
endif()

if (NOT DATADIR)
    set (DATADIR "${CMAKE_INSTALL_PREFIX}/share")
endif (NOT DATADIR)

set (GSA_BUILD_DIR ${CMAKE_CURRENT_SOURCE_DIR}/build)

if (NOT GSA_DEST_DIR)
    set (GSA_DEST_DIR ${DATADIR}/gvm/gsad/web)
endif (NOT GSA_DEST_DIR)

set (GSA_SRC_DIR ${CMAKE_CURRENT_SOURCE_DIR})

set (GSA_PKG_FILES
     ${GSA_SRC_DIR}/package.json)

if (NOT YARN_FOUND)
  MESSAGE (WARNING "Yarn package manager not found. Please install "
    "yarn for reproducible builds (see https://yarnpkg.com/en/docs/install). "
    "Trying to use npm instead.")
  find_package (Npm REQUIRED)
  set (INSTALLER ${NPM_EXECUTABLE})
else (NOT YARN_FOUND)
  set (INSTALLER ${YARN_EXECUTABLE})
  if (YARN_OFFLINE)
    set (INSTALLER_ARGS "--offline")
    MESSAGE( STATUS "Using Yarn in offline mode")
  endif (YARN_OFFLINE)
  list (APPEND GSA_PKG_FILES ${GSA_SRC_DIR}/yarn.lock)
endif (NOT YARN_FOUND)

message (STATUS "Building gsa version ${PROJECT_VERSION_STRING}")

set (GSA_STATIC_SRC_FILES
     ${GSA_SRC_DIR}/public/index.html)

set (GSA_JS_SRC_FILES
     ${GSA_SRC_DIR}/src/index.js
     ${GSA_SRC_DIR}/src/gmp/cancel.js
     ${GSA_SRC_DIR}/src/gmp/capabilities/capabilities.js
     ${GSA_SRC_DIR}/src/gmp/capabilities/everything.js
     ${GSA_SRC_DIR}/src/gmp/collection/collectioncounts.js
     ${GSA_SRC_DIR}/src/gmp/collection/parser.js
     ${GSA_SRC_DIR}/src/gmp/command.js
     ${GSA_SRC_DIR}/src/gmp/commands/alerts.js
     ${GSA_SRC_DIR}/src/gmp/commands/audits.js
     ${GSA_SRC_DIR}/src/gmp/commands/auth.js
     ${GSA_SRC_DIR}/src/gmp/commands/certbund.js
     ${GSA_SRC_DIR}/src/gmp/commands/cpes.js
     ${GSA_SRC_DIR}/src/gmp/commands/credentials.js
     ${GSA_SRC_DIR}/src/gmp/commands/cves.js
     ${GSA_SRC_DIR}/src/gmp/commands/cvsscalculator.js
     ${GSA_SRC_DIR}/src/gmp/commands/dashboards.js
     ${GSA_SRC_DIR}/src/gmp/commands/dfncert.js
     ${GSA_SRC_DIR}/src/gmp/commands/entities.js
     ${GSA_SRC_DIR}/src/gmp/commands/entity.js
     ${GSA_SRC_DIR}/src/gmp/commands/feedstatus.js
     ${GSA_SRC_DIR}/src/gmp/commands/filters.js
     ${GSA_SRC_DIR}/src/gmp/commands/gmp.js
     ${GSA_SRC_DIR}/src/gmp/commands/groups.js
     ${GSA_SRC_DIR}/src/gmp/commands/hosts.js
     ${GSA_SRC_DIR}/src/gmp/commands/http.js
     ${GSA_SRC_DIR}/src/gmp/commands/infoentities.js
     ${GSA_SRC_DIR}/src/gmp/commands/infoentity.js
     ${GSA_SRC_DIR}/src/gmp/commands/login.js
     ${GSA_SRC_DIR}/src/gmp/commands/notes.js
     ${GSA_SRC_DIR}/src/gmp/commands/nvt.js
     ${GSA_SRC_DIR}/src/gmp/commands/os.js
     ${GSA_SRC_DIR}/src/gmp/commands/ovaldefs.js
     ${GSA_SRC_DIR}/src/gmp/commands/overrides.js
     ${GSA_SRC_DIR}/src/gmp/commands/permissions.js
     ${GSA_SRC_DIR}/src/gmp/commands/policies.js
     ${GSA_SRC_DIR}/src/gmp/commands/portlists.js
     ${GSA_SRC_DIR}/src/gmp/commands/reportformats.js
     ${GSA_SRC_DIR}/src/gmp/commands/reports.js
     ${GSA_SRC_DIR}/src/gmp/commands/results.js
     ${GSA_SRC_DIR}/src/gmp/commands/roles.js
     ${GSA_SRC_DIR}/src/gmp/commands/scanconfigs.js
     ${GSA_SRC_DIR}/src/gmp/commands/scanners.js
     ${GSA_SRC_DIR}/src/gmp/commands/schedules.js
     ${GSA_SRC_DIR}/src/gmp/commands/tags.js
     ${GSA_SRC_DIR}/src/gmp/commands/targets.js
     ${GSA_SRC_DIR}/src/gmp/commands/tasks.js
     ${GSA_SRC_DIR}/src/gmp/commands/tickets.js
     ${GSA_SRC_DIR}/src/gmp/commands/tlscertificates.js
     ${GSA_SRC_DIR}/src/gmp/commands/trashcan.js
     ${GSA_SRC_DIR}/src/gmp/commands/users.js
     ${GSA_SRC_DIR}/src/gmp/commands/vulns.js
     ${GSA_SRC_DIR}/src/gmp/gmp.js
     ${GSA_SRC_DIR}/src/gmp/gmpsettings.js
     ${GSA_SRC_DIR}/src/gmp/http/gmp.js
     ${GSA_SRC_DIR}/src/gmp/http/http.js
     ${GSA_SRC_DIR}/src/gmp/http/rejection.js
     ${GSA_SRC_DIR}/src/gmp/http/response.js
     ${GSA_SRC_DIR}/src/gmp/http/transform/default.js
     ${GSA_SRC_DIR}/src/gmp/http/transform/fastxml.js
     ${GSA_SRC_DIR}/src/gmp/http/utils.js
     ${GSA_SRC_DIR}/src/gmp/index.js
     ${GSA_SRC_DIR}/src/gmp/locale/date.js
     ${GSA_SRC_DIR}/src/gmp/locale/detector.js
     ${GSA_SRC_DIR}/src/gmp/locale/lang.js
     ${GSA_SRC_DIR}/src/gmp/locale/languages.js
     ${GSA_SRC_DIR}/src/gmp/locale/index.js
     ${GSA_SRC_DIR}/src/gmp/log.js
     ${GSA_SRC_DIR}/src/gmp/model.js
     ${GSA_SRC_DIR}/src/gmp/models/actionresult.js
     ${GSA_SRC_DIR}/src/gmp/models/alert.js
     ${GSA_SRC_DIR}/src/gmp/models/asset.js
     ${GSA_SRC_DIR}/src/gmp/models/audit.js
     ${GSA_SRC_DIR}/src/gmp/models/certbund.js
     ${GSA_SRC_DIR}/src/gmp/models/cpe.js
     ${GSA_SRC_DIR}/src/gmp/models/credential.js
     ${GSA_SRC_DIR}/src/gmp/models/cve.js
     ${GSA_SRC_DIR}/src/gmp/models/date.js
     ${GSA_SRC_DIR}/src/gmp/models/dfncert.js
     ${GSA_SRC_DIR}/src/gmp/models/event.js
     ${GSA_SRC_DIR}/src/gmp/models/filter.js
     ${GSA_SRC_DIR}/src/gmp/models/filter/convert.js
     ${GSA_SRC_DIR}/src/gmp/models/filter/filterterm.js
     ${GSA_SRC_DIR}/src/gmp/models/filter/keywords.js
     ${GSA_SRC_DIR}/src/gmp/models/filter/utils.js
     ${GSA_SRC_DIR}/src/gmp/models/group.js
     ${GSA_SRC_DIR}/src/gmp/models/host.js
     ${GSA_SRC_DIR}/src/gmp/models/info.js
     ${GSA_SRC_DIR}/src/gmp/models/login.js
     ${GSA_SRC_DIR}/src/gmp/models/note.js
     ${GSA_SRC_DIR}/src/gmp/models/nvt.js
     ${GSA_SRC_DIR}/src/gmp/models/os.js
     ${GSA_SRC_DIR}/src/gmp/models/ovaldef.js
     ${GSA_SRC_DIR}/src/gmp/models/override.js
     ${GSA_SRC_DIR}/src/gmp/models/permission.js
     ${GSA_SRC_DIR}/src/gmp/models/policy.js
     ${GSA_SRC_DIR}/src/gmp/models/portlist.js
     ${GSA_SRC_DIR}/src/gmp/models/reportformat.js
     ${GSA_SRC_DIR}/src/gmp/models/report.js
     ${GSA_SRC_DIR}/src/gmp/models/report/app.js
     ${GSA_SRC_DIR}/src/gmp/models/report/cve.js
     ${GSA_SRC_DIR}/src/gmp/models/report/host.js
     ${GSA_SRC_DIR}/src/gmp/models/report/os.js
     ${GSA_SRC_DIR}/src/gmp/models/report/parser.js
     ${GSA_SRC_DIR}/src/gmp/models/report/port.js
     ${GSA_SRC_DIR}/src/gmp/models/report/report.js
     ${GSA_SRC_DIR}/src/gmp/models/report/task.js
     ${GSA_SRC_DIR}/src/gmp/models/report/tlscertificate.js
     ${GSA_SRC_DIR}/src/gmp/models/result.js
     ${GSA_SRC_DIR}/src/gmp/models/role.js
     ${GSA_SRC_DIR}/src/gmp/models/scanconfig.js
     ${GSA_SRC_DIR}/src/gmp/models/scanner.js
     ${GSA_SRC_DIR}/src/gmp/models/schedule.js
     ${GSA_SRC_DIR}/src/gmp/models/secinfo.js
     ${GSA_SRC_DIR}/src/gmp/models/settings.js
     ${GSA_SRC_DIR}/src/gmp/models/tag.js
     ${GSA_SRC_DIR}/src/gmp/models/target.js
     ${GSA_SRC_DIR}/src/gmp/models/task.js
     ${GSA_SRC_DIR}/src/gmp/models/ticket.js
     ${GSA_SRC_DIR}/src/gmp/models/tlscertificate.js
     ${GSA_SRC_DIR}/src/gmp/models/user.js
     ${GSA_SRC_DIR}/src/gmp/models/vulnerability.js
     ${GSA_SRC_DIR}/src/gmp/parser.js
     ${GSA_SRC_DIR}/src/gmp/timezones.js
     ${GSA_SRC_DIR}/src/gmp/utils/array.js
     ${GSA_SRC_DIR}/src/gmp/utils/entitytype.js
     ${GSA_SRC_DIR}/src/gmp/utils/event.js
     ${GSA_SRC_DIR}/src/gmp/utils/id.js
     ${GSA_SRC_DIR}/src/gmp/utils/identity.js
     ${GSA_SRC_DIR}/src/gmp/utils/number.js
     ${GSA_SRC_DIR}/src/gmp/utils/object.js
     ${GSA_SRC_DIR}/src/gmp/utils/string.js
     ${GSA_SRC_DIR}/src/gmp/utils/trace.js
     ${GSA_SRC_DIR}/src/web/app.js
     ${GSA_SRC_DIR}/src/web/components/badge/badge.js
     ${GSA_SRC_DIR}/src/web/components/bar/compliancestatusbar.js
     ${GSA_SRC_DIR}/src/web/components/bar/menubar.js
     ${GSA_SRC_DIR}/src/web/components/bar/progressbar.js
     ${GSA_SRC_DIR}/src/web/components/bar/severitybar.js
     ${GSA_SRC_DIR}/src/web/components/bar/statusbar.js
     ${GSA_SRC_DIR}/src/web/components/bar/titlebar.js
     ${GSA_SRC_DIR}/src/web/components/bar/toolbar.js
     ${GSA_SRC_DIR}/src/web/components/chart/axis.js
     ${GSA_SRC_DIR}/src/web/components/chart/bar.js
     ${GSA_SRC_DIR}/src/web/components/chart/bubble.js
     ${GSA_SRC_DIR}/src/web/components/chart/donut.js
     ${GSA_SRC_DIR}/src/web/components/chart/donut/arc2d.js
     ${GSA_SRC_DIR}/src/web/components/chart/donut/arc3d.js
     ${GSA_SRC_DIR}/src/web/components/chart/donut/labels.js
     ${GSA_SRC_DIR}/src/web/components/chart/donut/paths.js
     ${GSA_SRC_DIR}/src/web/components/chart/donut/pie.js
     ${GSA_SRC_DIR}/src/web/components/chart/donut/proptypes.js
     ${GSA_SRC_DIR}/src/web/components/chart/group.js
     ${GSA_SRC_DIR}/src/web/components/chart/label.js
     ${GSA_SRC_DIR}/src/web/components/chart/legend.js
     ${GSA_SRC_DIR}/src/web/components/chart/line.js
     ${GSA_SRC_DIR}/src/web/components/chart/schedule.js
     ${GSA_SRC_DIR}/src/web/components/chart/svg.js
     ${GSA_SRC_DIR}/src/web/components/chart/tooltip.js
     ${GSA_SRC_DIR}/src/web/components/chart/topology.js
     ${GSA_SRC_DIR}/src/web/components/chart/utils/arc.js
     ${GSA_SRC_DIR}/src/web/components/chart/utils/constants.js
     ${GSA_SRC_DIR}/src/web/components/chart/utils/path.js
     ${GSA_SRC_DIR}/src/web/components/chart/utils/update.js
     ${GSA_SRC_DIR}/src/web/components/chart/wordcloud.js
     ${GSA_SRC_DIR}/src/web/components/comment/comment.js
     ${GSA_SRC_DIR}/src/web/components/dashboard/controls.js
     ${GSA_SRC_DIR}/src/web/components/dashboard/dashboard.js
     ${GSA_SRC_DIR}/src/web/components/dashboard/display/created/createddisplay.js
     ${GSA_SRC_DIR}/src/web/components/dashboard/display/created/createdtransform.js
     ${GSA_SRC_DIR}/src/web/components/dashboard/display/createDisplay.js
     ${GSA_SRC_DIR}/src/web/components/dashboard/display/cvss/cvssdisplay.js
     ${GSA_SRC_DIR}/src/web/components/dashboard/display/cvss/cvsstabledisplay.js
     ${GSA_SRC_DIR}/src/web/components/dashboard/display/cvss/cvsstransform.js
     ${GSA_SRC_DIR}/src/web/components/dashboard/display/datadisplay.js
     ${GSA_SRC_DIR}/src/web/components/dashboard/display/datadisplayicons.js
     ${GSA_SRC_DIR}/src/web/components/dashboard/display/datatable.js
     ${GSA_SRC_DIR}/src/web/components/dashboard/display/datatabledisplay.js
     ${GSA_SRC_DIR}/src/web/components/dashboard/display/display.js
     ${GSA_SRC_DIR}/src/web/components/dashboard/display/filterselection.js
     ${GSA_SRC_DIR}/src/web/components/dashboard/display/severity/severityclassdisplay.js
     ${GSA_SRC_DIR}/src/web/components/dashboard/display/severity/severityclasstabledisplay.js
     ${GSA_SRC_DIR}/src/web/components/dashboard/display/severity/severityclasstransform.js
     ${GSA_SRC_DIR}/src/web/components/dashboard/display/status/statusdisplay.js
     ${GSA_SRC_DIR}/src/web/components/dashboard/display/utils.js
     ${GSA_SRC_DIR}/src/web/components/dashboard/display/withFilterSelection.js
     ${GSA_SRC_DIR}/src/web/components/dashboard/registry.js
     ${GSA_SRC_DIR}/src/web/components/dashboard/utils.js
     ${GSA_SRC_DIR}/src/web/components/dialog/button.js
     ${GSA_SRC_DIR}/src/web/components/dialog/composercontent.js

=== gsad/CMakeLists.txt ===
# Copyright (C) 2017-2020 Greenbone Networks GmbH
#
# SPDX-License-Identifier: AGPL-3.0-or-later
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.


cmake_minimum_required (VERSION 3.0)

message ("-- Configuring gsad")

project (gsad VERSION 20.8.0 LANGUAGES C)

if (NOT DEFINED PROJECT_VERSION_STRING)
   set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/../cmake)
   include (ProjectVersion)
endif()

set (GSAD_VERSION "${PROJECT_VERSION_STRING}")

message (STATUS "Building gsad version ${GSAD_VERSION}")

## Files generated on installation

# generate compile_commands.json file
# see https://clang.llvm.org/docs/JSONCompilationDatabase.html
set(CMAKE_EXPORT_COMPILE_COMMANDS TRUE)

## make format
message (STATUS "Looking for clang-format...")
find_program (CLANG_FORMAT clang-format)

if (CLANG_FORMAT)
  message (STATUS "Looking for clang-format... ${CLANG_FORMAT}")
  add_custom_target(format COMMAND ${CLANG_FORMAT} "-i" "./src/*.c"
                    "./src/*.h"
                    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}")
else (CLANG_FORMAT)
  message (STATUS "clang-format not found.")
endif (CLANG_FORMAT)

if (NOT SYSCONFDIR)
  set (SYSCONFDIR "${CMAKE_INSTALL_PREFIX}/etc")
endif (NOT SYSCONFDIR)

if (NOT EXEC_PREFIX)
  set (EXEC_PREFIX "${CMAKE_INSTALL_PREFIX}")
endif (NOT EXEC_PREFIX)

if (NOT BINDIR)
  set (BINDIR "${EXEC_PREFIX}/bin")
endif (NOT BINDIR)

if (NOT SBINDIR)
  set (SBINDIR "${EXEC_PREFIX}/sbin")
endif (NOT SBINDIR)

if (NOT LIBDIR)
  set (LIBDIR "${EXEC_PREFIX}/lib")
endif (NOT LIBDIR)

if (NOT LOCALSTATEDIR)
  set (LOCALSTATEDIR "${CMAKE_INSTALL_PREFIX}/var")
endif (NOT LOCALSTATEDIR)

if (NOT INCLUDEDIR)
  set (INCLUDEDIR "${CMAKE_INSTALL_PREFIX}/include")
endif (NOT INCLUDEDIR)

if (NOT DATADIR)
  set (DATADIR "${CMAKE_INSTALL_PREFIX}/share")
endif (NOT DATADIR)

set (GSAD_DATA_DIR "${DATADIR}/gvm/gsad")
set (GSAD_CONFIG_DIR "${SYSCONFDIR}/gvm/")

if (NOT GSAD_PID_DIR)
  set (GSAD_PID_DIR "${LOCALSTATEDIR}/run")
endif (NOT GSAD_PID_DIR)

if (NOT GVM_RUN_DIR)
  set (GVM_RUN_DIR  "${LOCALSTATEDIR}/run")
endif (NOT GVM_RUN_DIR)

if (NOT GVM_STATE_DIR)
  set (GVM_STATE_DIR "${LOCALSTATEDIR}/lib/gvm")
else (NOT GVM_STATE_DIR)
  set (GVM_STATE_DIR "${GVM_STATE_DIR}")
endif (NOT GVM_STATE_DIR)

if (NOT GVM_LOG_DIR)
  set (GVM_LOG_DIR "${LOCALSTATEDIR}/log/gvm")
else (NOT GVM_LOG_DIR)
  set (GVM_LOG_DIR "${GVM_LOG_DIR}")
endif (NOT GVM_LOG_DIR)

if (NOT GVM_SERVER_CERTIFICATE)
  set (GVM_SERVER_CERTIFICATE "${GVM_STATE_DIR}/CA/servercert.pem")
else (NOT GVM_SERVER_CERTIFICATE)
  set (GVM_SERVER_CERTIFICATE "${GVM_SERVER_CERTIFICATE}")
endif (NOT GVM_SERVER_CERTIFICATE)

if (NOT GVM_SERVER_KEY)
  set (GVM_SERVER_KEY "${GVM_STATE_DIR}/private/CA/serverkey.pem")
else (NOT GVM_SERVER_KEY)
  set (GVM_SERVER_KEY "${GVM_SERVER_KEY}")
endif (NOT GVM_SERVER_KEY)

if (NOT GVM_CA_CERTIFICATE)
  set (GVM_CA_CERTIFICATE "${GVM_STATE_DIR}/CA/cacert.pem")
else (NOT GVM_CA_CERTIFICATE)
  set (GVM_CA_CERTIFICATE "${GVM_CA_CERTIFICATE}")
endif (NOT GVM_CA_CERTIFICATE)


configure_file (src/gsad_log_conf.cmake_in src/gsad_log.conf)

## Install

install (FILES ${CMAKE_CURRENT_BINARY_DIR}/src/gsad_log.conf
         DESTINATION ${GSAD_CONFIG_DIR})

add_subdirectory (src)
add_subdirectory (config)

add_subdirectory (doc)

# vim: set ts=2 sw=2 tw=80:

=== gsad/config/CMakeLists.txt ===
# Copyright (C) 2019 Greenbone Networks GmbH
#
# SPDX-License-Identifier: AGPL-3.0-or-later
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.


if (NOT SYSTEMD_SERVICE_DIR)
  set (SYSTEMD_SERVICE_DIR "${CMAKE_INSTALL_PREFIX}/lib/systemd/system")
endif (NOT SYSTEMD_SERVICE_DIR)

if (NOT DEFAULT_CONFIG_DIR)
  set (DEFAULT_CONFIG_DIR "${CMAKE_INSTALL_PREFIX}/etc/default")
endif (NOT DEFAULT_CONFIG_DIR)

if (NOT LOGROTATE_DIR)
  set (LOGROTATE_DIR "${CMAKE_INSTALL_PREFIX}/etc/logrotate.d")
endif (NOT LOGROTATE_DIR)

configure_file (gsad.service.in gsad.service)
configure_file (gsad.logrotate.in gsad.logrotate)

install (FILES ${CMAKE_CURRENT_BINARY_DIR}/gsad.service
         DESTINATION ${SYSTEMD_SERVICE_DIR}/)

install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/gsad.default
         DESTINATION ${DEFAULT_CONFIG_DIR}/ RENAME gsad)

install (FILES ${CMAKE_CURRENT_BINARY_DIR}/gsad.logrotate
         DESTINATION ${LOGROTATE_DIR}/ RENAME gsad)

=== gsad/doc/CMakeLists.txt ===
# Copyright (C) 2009-2018 Greenbone Networks GmbH
#
# SPDX-License-Identifier: AGPL-3.0-or-later
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.


## build

set_directory_properties (PROPERTIES CLEAN_NO_CUSTOM true)
set_directory_properties (PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES ".built-html;.built-html_full")

include (FindDoxygen)

# Configure Doxyfile with version number
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile_full.in ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile_full)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile_xml.in ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile_xml)

if (NOT DOXYGEN_EXECUTABLE)
  message (STATUS "WARNING: Doxygen is required to build the HTML docs.")
else (NOT DOXYGEN_EXECUTABLE)
  add_custom_target (doc COMMENT "Building documentation..."
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile ${CMAKE_CURRENT_BINARY_DIR}/.built-html)

  add_custom_command (OUTPUT .built-html
    COMMAND sh
    ARGS -c \"${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile && touch ${CMAKE_CURRENT_BINARY_DIR}/.built-html\;\"
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile)

  add_custom_target (doc-full COMMENT "Building documentation..."
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile_full ${CMAKE_CURRENT_BINARY_DIR}/.built-html_full)

  add_custom_command (OUTPUT .built-html_full
    COMMAND sh
    ARGS -c \"${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile_full && touch ${CMAKE_CURRENT_BINARY_DIR}/.built-html_full\;\"
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile_full)

  add_custom_target (doc-xml COMMENT "Building documentation (XML)..."
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile_xml ${CMAKE_CURRENT_BINARY_DIR}/.built-xml)

  add_custom_command (OUTPUT .built-xml
    COMMAND sh
    ARGS -c \"${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile_xml && touch ${CMAKE_CURRENT_BINARY_DIR}/.built-xml\;\"
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile_xml)
endif (NOT DOXYGEN_EXECUTABLE)

## Find xml2man

message (STATUS "Looking for xmltoman...")

find_program (XMLTOMAN_EXECUTABLE xmltoman
  PATHS /bin /usr/bin /usr/local/bin/
  DOC "xmltoman location")

message (STATUS "Looking for xmltoman... ${XMLTOMAN_EXECUTABLE}")

find_program (XMLMANTOHTML_EXECUTABLE xmlmantohtml
  PATHS /bin /usr/bin /usr/local/bin/
  DOC "xmlmantohtml location")

message (STATUS "Looking for xmlmantohtml... ${XMLMANTOHTML_EXECUTABLE}")

# FIX find_program seems to follow symlink
if (XMLMANTOHTML_EXECUTABLE)
  set (XMLMANTOHTML_EXECUTABLE xmlmantohtml)
endif (XMLMANTOHTML_EXECUTABLE)

if (XMLTOMAN_EXECUTABLE)
  add_custom_target (man COMMENT "Building manual page..."
    DEPENDS gsad.8)

  add_custom_command (OUTPUT gsad.8
    COMMAND sh
    ARGS -c \"${XMLTOMAN_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/gsad.8.xml > ${CMAKE_CURRENT_BINARY_DIR}/gsad.8\;\"
    DEPENDS gsad.8.xml)
else (XMLTOMAN_EXECUTABLE)
  message (STATUS "WARNING: xmltoman is required to generate manpage.")
  add_custom_command (OUTPUT gsad.8
    COMMAND echo "[Error: xmltoman required to see manpage here]" > ${CMAKE_CURRENT_BINARY_DIR}/gsad.8)
endif (XMLTOMAN_EXECUTABLE)

if (XMLMANTOHTML_EXECUTABLE)
  add_custom_target (man-html COMMENT "Building manual page HTML..."
    DEPENDS gsad.html)

  add_custom_command (OUTPUT gsad.html
    COMMAND sh
    ARGS -c \"${XMLMANTOHTML_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/gsad.8.xml > ${CMAKE_CURRENT_BINARY_DIR}/gsad.html\;\"
    DEPENDS gsad.8.xml)
else (XMLMANTOHTML_EXECUTABLE)
  message (STATUS "WARNING: xmlmantohtml is required for manpage in HTML docs.")
  add_custom_command (OUTPUT gsad.html
    COMMAND echo "[Error: xmlmantohtml required to see manpage here]" > gsad.html)
endif (XMLMANTOHTML_EXECUTABLE)


## Install

install (FILES gsad.8
  DESTINATION ${DATADIR}/man/man8 )

=== gsad/src/CMakeLists.txt ===
# Copyright (C) 2009-2018 Greenbone Networks GmbH
#
# SPDX-License-Identifier: AGPL-3.0-or-later
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.


# Needed for 'pkg_check_modules' function
include (FindPkgConfig)

if (NOT PKG_CONFIG_FOUND)
  message(FATAL_ERROR "pkg-config executable not found. Aborting.")
endif (NOT PKG_CONFIG_FOUND)

## Check for existence of required libraries
pkg_check_modules (LIBMICROHTTPD REQUIRED libmicrohttpd>=0.9.0)
pkg_check_modules (LIBXML REQUIRED libxml-2.0)
pkg_check_modules (GLIB REQUIRED glib-2.0>=2.42)
pkg_check_modules (LIBGVM_BASE REQUIRED libgvm_base>=10.0.0)
pkg_check_modules (LIBGVM_UTIL REQUIRED libgvm_util>=10.0.0)
pkg_check_modules (LIBGVM_GMP REQUIRED libgvm_gmp>=10.0.0)
pkg_check_modules (GNUTLS REQUIRED gnutls>=3.2.15)

message (STATUS "Looking for libgcrypt...")
find_library (LIBGCRYPT gcrypt)
if (NOT LIBGCRYPT)
  message (SEND_ERROR "The libgcrypt library is required.")
else (NOT LIBGCRYPT)
  message (STATUS "Looking for libgcrypt... ${LIBGCRYPT}")
  execute_process (COMMAND libgcrypt-config --libs
    OUTPUT_VARIABLE LIBGCRYPT_LDFLAGS
    OUTPUT_STRIP_TRAILING_WHITESPACE)
  execute_process (COMMAND libgcrypt-config --cflags
    OUTPUT_VARIABLE LIBGCRYPT_CFLAGS
    OUTPUT_STRIP_TRAILING_WHITESPACE)
endif (NOT LIBGCRYPT)

if (NOT LIBMICROHTTPD_FOUND OR NOT LIBXML_FOUND OR NOT GLIB_FOUND OR
    (GTHREAD_REQUIRED AND NOT GTHREAD_FOUND) OR NOT
    LIBGVM_GMP_FOUND OR NOT GNUTLS_FOUND OR NOT
    LIBGCRYPT)
  message (FATAL_ERROR "One or more required libraries was not found "
    "(see message above), please install the missing "
    "libraries and run cmake again.")
endif (NOT LIBMICROHTTPD_FOUND OR NOT LIBXML_FOUND OR NOT GLIB_FOUND OR
  (GTHREAD_REQUIRED AND NOT GTHREAD_FOUND) OR NOT
  LIBGVM_GMP_FOUND OR NOT GNUTLS_FOUND OR NOT LIBGCRYPT)

## Program

set (HARDENING_FLAGS            "-D_FORTIFY_SOURCE=2 -fstack-protector")
set (LINKER_HARDENING_FLAGS     "-Wl,-z,relro -Wl,-z,now")

set (CMAKE_C_FLAGS              "${CMAKE_C_FLAGS} -Wall -Wformat -Wformat-security")

set (CMAKE_C_FLAGS_DEBUG        "${CMAKE_C_FLAGS_DEBUG} -Werror")
set (CMAKE_C_FLAGS_RELEASE      "${CMAKE_C_FLAGS_RELEASE} ${HARDENING_FLAGS}")

include_directories (${LIBMICROHTTPD_INCLUDE_DIRS} ${LIBXML_INCLUDE_DIRS}
                     ${GLIB_INCLUDE_DIRS}
                     ${LIBGVM_BASE_INCLUDE_DIRS}
                     ${LIBGVM_UTIL_INCLUDE_DIRS}
                     ${LIBGVM_GMP_INCLUDE_DIRS}
                     ${GNUTLS_INCLUDE_DIRS})

find_package (Threads)

## Program

add_executable (gsad
                gsad.c
                gsad_base.c
                gsad_cmd.c
                gsad_credentials.c
                gsad_gmp.c
                gsad_gmp_arguments.c
                gsad_gmp_request.c
                gsad_http.c
                gsad_http_handler.c
                gsad_i18n.c
                gsad_session.c
                gsad_settings.c
                gsad_user.c
                utils.c
                validator.c)

target_link_libraries (gsad ${LIBMICROHTTPD_LDFLAGS}
                            ${GTHREAD_LDFLAGS}
                            ${GLIB_LDFLAGS}
                            ${LIBXML_LDFLAGS}
                            ${LIBGCRYPT_LDFLAGS}
                            ${GNUTLS_LDFLAGS}
                            ${LIBGVM_BASE_LDFLAGS}
                            ${LIBGVM_UTIL_LDFLAGS}
                            ${LIBGVM_GMP_LDFLAGS}
                            ${LIBGVM_GMP_LDFLAGS}
                            ${CMAKE_THREAD_LIBS_INIT}
                            ${LINKER_HARDENING_FLAGS}
                       )
set_target_properties (gsad PROPERTIES LINKER_LANGUAGE C)

if (GSAD_VERSION)
  add_definitions (-DGSAD_VERSION="${GSAD_VERSION}")
endif (GSAD_VERSION)

if (GVM_SERVER_CERTIFICATE)
  add_definitions (-DGVM_SERVER_CERTIFICATE="${GVM_SERVER_CERTIFICATE}")
endif (GVM_SERVER_CERTIFICATE)

if (GVM_SERVER_KEY)
  add_definitions (-DGVM_SERVER_KEY="${GVM_SERVER_KEY}")
endif (GVM_SERVER_KEY)

if (GVM_CA_CERTIFICATE)
  add_definitions (-DGVM_CA_CERTIFICATE="${GVM_CA_CERTIFICATE}")
endif (GVM_CA_CERTIFICATE)

if (GVM_RUN_DIR)
  add_definitions (-DGVM_RUN_DIR="${GVM_RUN_DIR}")
endif (GVM_RUN_DIR)

if (GSAD_DATA_DIR)
  add_definitions (-DGSAD_DATA_DIR="${GSAD_DATA_DIR}")
endif (GSAD_DATA_DIR)

if (GSAD_PID_DIR)
  add_definitions (-DGSAD_PID_DIR="${GSAD_PID_DIR}")
endif (GSAD_PID_DIR)

if (GSAD_CONFIG_DIR)
  add_definitions (-DGSAD_CONFIG_DIR="${GSAD_CONFIG_DIR}")
endif (GSAD_CONFIG_DIR)

if (GSAD_LOCALE_DIR)
  add_definitions (-DGSAD_LOCALE_DIR="${GSAD_LOCALE_DIR}")
endif (GSAD_LOCALE_DIR)

if (GSAD_CHROOT_LOCALE_DIR)
  add_definitions (-DGSAD_CHROOT_LOCALE_DIR="${GSAD_CHROOT_LOCALE_DIR}")
endif (GSAD_CHROOT_LOCALE_DIR)

add_definitions (-DGVM_OS_NAME="${CMAKE_SYSTEM}")
add_definitions (-DPREFIX="${CMAKE_INSTALL_PREFIX}")

## Install

install (TARGETS gsad
         RUNTIME DESTINATION ${SBINDIR}
         LIBRARY DESTINATION ${LIBDIR}
         ARCHIVE DESTINATION ${LIBDIR}/static)

## Static analysis

add_custom_target (cppcheck COMMENT "Running cppcheck..."
                   COMMAND sh -c \"cppcheck ${CMAKE_CURRENT_SOURCE_DIR}\")

add_custom_target (check COMMENT "Checking code...")
add_dependencies (check cppcheck)

## Tag files

set (C_FILES "${CMAKE_CURRENT_SOURCE_DIR}/*.c")
add_custom_target (etags COMMENT "Building TAGS..."
                   COMMAND etags ${C_FILES})
add_custom_target (ctags COMMENT "Building tags..."
                   COMMAND ctags ${C_FILES})
add_custom_target (tags COMMENT "Building tags files...")
add_dependencies (tags etags ctags)

## End

=== debian/changelog ===
greenbone-security-assistant (20.8.0-2) unstable; urgency=medium

  * Team upload.

  [ Sophie Brun ]
  * Fix debian/copyright: some files are GPL-2+
  * Fix greenbone-security-assistant.service (Closes: #982955)

 -- Raphaël Hertzog <raphael@offensive-security.com>  Mon, 22 Feb 2021 15:45:39 +0100

greenbone-security-assistant (20.8.0-1) unstable; urgency=medium

  * Note for ftpmasters: we move the package to contrib because it can no
    longer be built with what's in Debian main only. It needs to download many
    DFSG-free node modules during build of the arch all package (arch any
    build is still self-contained).

  [ Samuel Henrique ]
  * Add salsa-ci.yml
  * Configure git-buildpackage for Debian

  [ Sophie Brun ]
  * New upstream version 9.0.1
  * Update build-deps: use libgvm-dev (Closes: #971709)
  * Update package description
  * Remove useless patch
  * Update debian files for new upstream release
  * Update debian/copyright
  * Don't repack source: no incompatible-DFSG files
  * Change GVM_RUN_DIR to /var/run/gvm to allow access for user _gvm
  * Update service and init
  * Update logrotate to keep access for _gvm user
  * Remove debian/source/lintian-overrides
  * Remove old useless workaround in debian/rules
  * Remove override_dh_auto_test
  * service: add User and Group _gvm
  * New upstream version 20.8.0
  * Add a patch to allow skipping node build
  * Improve build to skip node build when arch any
  * Try to build only arch any package
  * Remove useless husky reference in package.json
  * Switch to contrib section
  * Bump Standards-Version
  * Remove old and obsolete init script (Closes: #939922, #911972, #939921)

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 12. + debian/rules: Rely on default use of
    dh_missing rather than using dh_install --list-missing.
  * Set debhelper-compat version in Build-Depends.
  * Replace /var/run with /run for the Service PIDFile.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Drop transition for old debug package migration.

  [ SZ Lin (林上智) ]
  * Update uploaders field
  * Update debian/copyright

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 14 Dec 2020 14:27:38 +0100

=== debian/control ===
Source: greenbone-security-assistant
Section: contrib/admin
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 12),
               cmake (>= 2.8),
	       clang-format,
	       cppcheck,
               libmicrohttpd-dev (>= 0.9.0),
               libgvm-dev (>= 20.8.0),
               libxslt1-dev,
               doxygen,
	       xmltoman,
               pkg-config,
               libxml2-dev
Build-Depends-Indep: nodejs,
                     npm
Standards-Version: 4.5.1
Homepage: https://www.greenbone.net
Vcs-Git: https://salsa.debian.org/pkg-security-team/greenbone-security-assistant.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/greenbone-security-assistant

Package: greenbone-security-assistant-common
Architecture: all
Recommends: greenbone-security-assistant
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: architecture independent files for greenbone-security-assistant
 The Greenbone Security Assistant is a web application that
 connects to the Greenbone Vulnerability Manager and OpenVAS Administrator
 to provide for a full-featured user interface for
 vulnerability management.
 .
 This package contains the common greenbone-security-assistant
 files shared by all architectures.

Package: greenbone-security-assistant
Architecture: any
Depends: lsb-base (>= 3.0-6),
         greenbone-security-assistant-common (= ${source:Version}),
         gvmd,
         ${shlibs:Depends},
         ${misc:Depends}
Description: remote network security auditor - web interface
 The Greenbone Security Assistant is a web application that
 connects to the Greebone Vulnerability Manager and OpenVAS Administrator
 to provide for a full-featured user interface for
 vulnerability management.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export HOME = $(CURDIR)/debian/home

$(CURDIR)/debian/home:
	mkdir -p $(CURDIR)/debian/home

%: $(CURDIR)/debian/home
	dh $@

override_dh_auto_configure:
	echo $(shell dh_listpackages)
ifeq ($(filter greenbone-security-assistant-common,$(shell dh_listpackages)),)
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX=/usr -DSYSCONFDIR=/etc -DLOCALSTATEDIR=/var -DCMAKE_BUILD_TYPE=release -DGVM_RUN_DIR=/var/run/gvm -DSKIP_NODE_BUILD=true
else
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX=/usr -DSYSCONFDIR=/etc -DLOCALSTATEDIR=/var -DCMAKE_BUILD_TYPE=release -DGVM_RUN_DIR=/var/run/gvm
endif

override_dh_install:
	dh_install -XLICENSE

override_dh_installinit:
	dh_installinit --no-start

## greenbone-security-assistant 20.8.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,7 +22,7 @@
 # VERSION: Set patch version for stable releases, e.g. "9.0.1",
 #          unset patch version for prereleases, e.g. "9.0"
 project (greenbone-security-assistant
-         VERSION 20.8.0)
+         VERSION 20.8.1)
 
 SET(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)

=== gsa/CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 message ("-- Configuring gsa")
 
-project (gsa VERSION 20.8.0 LANGUAGES)
+project (gsa VERSION 20.8.1 LANGUAGES)
 
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

=== gsad/CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 message ("-- Configuring gsad")
 
-project (gsad VERSION 20.8.0 LANGUAGES C)
+project (gsad VERSION 20.8.1 LANGUAGES C)
 
 if (NOT DEFINED PROJECT_VERSION_STRING)
    set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/../cmake)

## greenbone-security-assistant 21.4.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2009-2020 Greenbone Networks GmbH
+# Copyright (C) 2009-2021 Greenbone Networks GmbH
 #
 # SPDX-License-Identifier: AGPL-3.0-or-later
 #
@@ -22,7 +22,7 @@
 # VERSION: Set patch version for stable releases, e.g. "9.0.1",
 #          unset patch version for prereleases, e.g. "9.0"
 project (greenbone-security-assistant
-         VERSION 20.8.1)
+         VERSION 21.4.3)
 
 SET(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)
 
@@ -30,12 +30,23 @@
   set (CMAKE_BUILD_TYPE Debug)
 endif (NOT CMAKE_BUILD_TYPE)
 
-# set if this is in prerelease status, starting at 0 before first beta release,
-# unset if this is a stable release series.
-# set (PROJECT_BETA_RELEASE 0)
+# Set dev version if this is a development version and not a full release,
+# unset (put value 0 or delete line) before a full release and reset after.
+set (PROJECT_DEV_VERSION 0)
+
+# If PROJECT_DEV_VERSION is set, the version string will be set to:
+#   "major.minor.patch~dev${PROJECT_DEV_VERSION}${GIT_REVISION}"
+# If PROJECT_DEV_VERSION is NOT set, the version string will be set to:
+#   "major.minor.patch${GIT_REVISION}"
+# For CMAKE_BUILD_TYPE "Release" the git revision will be empty.
+if (PROJECT_DEV_VERSION)
+  set (PROJECT_VERSION_SUFFIX "~dev${PROJECT_DEV_VERSION}")
+endif (PROJECT_DEV_VERSION)
+
+set (PROJECT_VERSION_STRING "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}${PROJECT_VERSION_SUFFIX}${GIT_REVISION}")
 
 ## Retrieve git revision (at configure time)
-include (ProjectVersion)
+include (GetGit)
 
 ## Variables

=== gsa/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2016-2020 Greenbone Networks GmbH
+# Copyright (C) 2016-2021 Greenbone Networks GmbH
 #
 # SPDX-License-Identifier: AGPL-3.0-or-later
 #
@@ -19,17 +19,27 @@
 
 message ("-- Configuring gsa")
 
-project (gsa VERSION 20.8.1 LANGUAGES)
+project (gsa VERSION 21.4.3 LANGUAGES)
 
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
 find_package (Node 10.0 REQUIRED)
 find_package (Yarn 1.0)
 
-if (NOT DEFINED PROJECT_VERSION_STRING)
-   set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/../cmake)
-   include (ProjectVersion)
-endif()
+# Set dev version if this is a development version and not a full release,
+# unset (put value 0 or delete line) before a full release and reset after.
+set (PROJECT_DEV_VERSION 0)
+
+# If PROJECT_DEV_VERSION is set, the version string will be set to:
+#   "major.minor.patch~dev${PROJECT_DEV_VERSION}${GIT_REVISION}"
+# If PROJECT_DEV_VERSION is NOT set, the version string will be set to:
+#   "major.minor.patch${GIT_REVISION}"
+# For CMAKE_BUILD_TYPE "Release" the git revision will be empty.
+if (PROJECT_DEV_VERSION)
+  set (PROJECT_VERSION_SUFFIX "~dev${PROJECT_DEV_VERSION}")
+endif (PROJECT_DEV_VERSION)
+
+set (PROJECT_VERSION_STRING "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}${PROJECT_VERSION_SUFFIX}${GIT_REVISION}")
 
 if (NOT DATADIR)
     set (DATADIR "${CMAKE_INSTALL_PREFIX}/share")
@@ -247,12 +257,3 @@
      ${GSA_SRC_DIR}/src/web/components/dashboard/display/display.js
      ${GSA_SRC_DIR}/src/web/components/dashboard/display/filterselection.js
      ${GSA_SRC_DIR}/src/web/components/dashboard/display/severity/severityclassdisplay.js
-     ${GSA_SRC_DIR}/src/web/components/dashboard/display/severity/severityclasstabledisplay.js
-     ${GSA_SRC_DIR}/src/web/components/dashboard/display/severity/severityclasstransform.js
-     ${GSA_SRC_DIR}/src/web/components/dashboard/display/status/statusdisplay.js
-     ${GSA_SRC_DIR}/src/web/components/dashboard/display/utils.js
-     ${GSA_SRC_DIR}/src/web/components/dashboard/display/withFilterSelection.js
-     ${GSA_SRC_DIR}/src/web/components/dashboard/registry.js
-     ${GSA_SRC_DIR}/src/web/components/dashboard/utils.js
-     ${GSA_SRC_DIR}/src/web/components/dialog/button.js
-     ${GSA_SRC_DIR}/src/web/components/dialog/composercontent.js

=== gsad/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2017-2020 Greenbone Networks GmbH
+# Copyright (C) 2017-2021 Greenbone Networks GmbH
 #
 # SPDX-License-Identifier: AGPL-3.0-or-later
 #
@@ -20,13 +20,23 @@
 
 message ("-- Configuring gsad")
 
-project (gsad VERSION 20.8.1 LANGUAGES C)
+project (gsad VERSION 21.4.3 LANGUAGES C)
 
-if (NOT DEFINED PROJECT_VERSION_STRING)
-   set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/../cmake)
-   include (ProjectVersion)
-endif()
 
+# Set dev version if this is a development version and not a full release,
+# unset (put value 0 or delete line) before a full release and reset after.
+set (PROJECT_DEV_VERSION 0)
+
+# If PROJECT_DEV_VERSION is set, the version string will be set to:
+#   "major.minor.patch~dev${PROJECT_DEV_VERSION}${GIT_REVISION}"
+# If PROJECT_DEV_VERSION is NOT set, the version string will be set to:
+#   "major.minor.patch${GIT_REVISION}"
+# For CMAKE_BUILD_TYPE "Release" the git revision will be empty.
+if (PROJECT_DEV_VERSION)
+  set (PROJECT_VERSION_SUFFIX "~dev${PROJECT_DEV_VERSION}")
+endif (PROJECT_DEV_VERSION)
+
+set (PROJECT_VERSION_STRING "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}${PROJECT_VERSION_SUFFIX}${GIT_REVISION}")
 set (GSAD_VERSION "${PROJECT_VERSION_STRING}")
 
 message (STATUS "Building gsad version ${GSAD_VERSION}")
@@ -51,7 +61,7 @@
 endif (CLANG_FORMAT)
 
 if (NOT SYSCONFDIR)
-  set (SYSCONFDIR "${CMAKE_INSTALL_PREFIX}/etc")
+  set (SYSCONFDIR "/etc")
 endif (NOT SYSCONFDIR)
 
 if (NOT EXEC_PREFIX)
@@ -71,7 +81,7 @@
 endif (NOT LIBDIR)
 
 if (NOT LOCALSTATEDIR)
-  set (LOCALSTATEDIR "${CMAKE_INSTALL_PREFIX}/var")
+  set (LOCALSTATEDIR "/var")
 endif (NOT LOCALSTATEDIR)
 
 if (NOT INCLUDEDIR)
@@ -85,13 +95,14 @@
 set (GSAD_DATA_DIR "${DATADIR}/gvm/gsad")
 set (GSAD_CONFIG_DIR "${SYSCONFDIR}/gvm/")
 
+if (NOT GVM_RUN_DIR)
+  set (GVM_RUN_DIR  "/run/gvm")
+endif (NOT GVM_RUN_DIR)
+
 if (NOT GSAD_PID_DIR)
-  set (GSAD_PID_DIR "${LOCALSTATEDIR}/run")
+  set (GSAD_PID_DIR "${GVM_RUN_DIR}")
 endif (NOT GSAD_PID_DIR)
 
-if (NOT GVM_RUN_DIR)
-  set (GVM_RUN_DIR  "${LOCALSTATEDIR}/run")
-endif (NOT GVM_RUN_DIR)
 
 if (NOT GVM_STATE_DIR)
   set (GVM_STATE_DIR "${LOCALSTATEDIR}/lib/gvm")

=== gsad/src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,4 @@
-# Copyright (C) 2009-2018 Greenbone Networks GmbH
-#
+# Copyright (C) 2009-2021 Greenbone Networks GmbH#
 # SPDX-License-Identifier: AGPL-3.0-or-later
 #
 # This program is free software: you can redistribute it and/or modify
@@ -27,9 +26,9 @@
 pkg_check_modules (LIBMICROHTTPD REQUIRED libmicrohttpd>=0.9.0)
 pkg_check_modules (LIBXML REQUIRED libxml-2.0)
 pkg_check_modules (GLIB REQUIRED glib-2.0>=2.42)
-pkg_check_modules (LIBGVM_BASE REQUIRED libgvm_base>=10.0.0)
-pkg_check_modules (LIBGVM_UTIL REQUIRED libgvm_util>=10.0.0)
-pkg_check_modules (LIBGVM_GMP REQUIRED libgvm_gmp>=10.0.0)
+pkg_check_modules (LIBGVM_BASE REQUIRED libgvm_base>=21.4.1)
+pkg_check_modules (LIBGVM_UTIL REQUIRED libgvm_util>=21.4.1)
+pkg_check_modules (LIBGVM_GMP REQUIRED libgvm_gmp>=21.4.1)
 pkg_check_modules (GNUTLS REQUIRED gnutls>=3.2.15)
 
 message (STATUS "Looking for libgcrypt...")

## greenbone-security-assistant 21.4.4

=== debian/changelog ===
greenbone-security-assistant (21.4.4-1) unstable; urgency=medium

  * New upstream version 21.4.4
  * Refresh patches
  * Update debian/*: upstream moved gsad to another package

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 03 May 2022 15:26:09 +0200

greenbone-security-assistant (21.4.3-1) unstable; urgency=medium

  * New upstream version 21.4.3
  * Bump Standards-Version to 4.6.0 (no changes)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 04 Jan 2022 14:53:52 +0100

greenbone-security-assistant (21.4.2-1) unstable; urgency=medium

  * New upstream version 21.4.2 (Closes: #986549)
  * Update minimal required version of libgvm-dev
  * Refresh patches
  * Update debian/copyright

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 30 Aug 2021 16:50:23 +0200

=== debian/control ===
Source: greenbone-security-assistant
Section: contrib/admin
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 12),
               yarnpkg
Standards-Version: 4.6.0
Homepage: https://www.greenbone.net
Vcs-Git: https://salsa.debian.org/pkg-security-team/greenbone-security-assistant.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/greenbone-security-assistant

Package: greenbone-security-assistant-common
Architecture: all
Section: contrib/oldlibs
Depends: ${misc:Depends}, greenbone-security-assistant
Description: transitional package
 This package can be removed safely.

Package: greenbone-security-assistant
Architecture: all
Depends: ${misc:Depends}
Replaces: greenbone-security-assistant-common (<< 21.4.4)
Breaks: greenbone-security-assistant-common (<< 21.4.4)
Multi-Arch: foreign
Description: remote network security auditor - web interface
 The Greenbone Security Assistant is a web application that connects to the
 Greenbone Vulnerability Manager and OpenVAS Administrator to provide for a
 full-featured user interface for vulnerability management.

=== debian/rules ===
#!/usr/bin/make -f

export HOME = $(CURDIR)/debian/home

$(CURDIR)/debian/home:
	mkdir -p $(CURDIR)/debian/home

%: $(CURDIR)/debian/home
	dh $@

override_dh_auto_build:
	dh_auto_build
	yarnpkg
	yarnpkg build

override_dh_install:
	dh_install -XLICENSE
